using Syntriax.Engine.Core;

namespace Syntriax.Engine.Systems.Time;

public interface IReadOnlyTicker : IReadOnlyStopwatch
{
    Event<IReadOnlyTicker> OnTick { get; }

    int TickCounter { get; }
    double TickPeriod { get; set; }
}
